<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/linux/sdioemb/uif.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/linux/sdioemb/uif.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * Userspace interface to the SDIO Userspace Interface driver.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef LINUX_SDIOEMB_UIF_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define LINUX_SDIOEMB_UIF_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="keyword">enum</span> sdio_uif_cmd_type {
00013     SDD_UIF_CMD52_READ, SDD_UIF_CMD52_WRITE,
00014     SDD_UIF_CMD53_READ, SDD_UIF_CMD53_WRITE,
00015 };
00016 
00017 <span class="keyword">struct </span>sdio_uif_cmd {
00018     <span class="keyword">enum</span> sdio_uif_cmd_type type;
00019     <span class="keywordtype">int</span>                    function;
00020     uint32_t               address;
00021     uint8_t *              data;
00022     size_t                 len;
00023     <span class="keywordtype">int</span>                    block_size;
00024 };
00025 
00026 <span class="preprocessor">#define SDD_UIF_IOC_MAGIC 's'</span>
00027 <span class="preprocessor"></span>
00028 <span class="preprocessor">#define SDD_UIF_IOCQNUMFUNCS  _IO(SDD_UIF_IOC_MAGIC,   0)</span>
00029 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_IOCCMD        _IOWR(SDD_UIF_IOC_MAGIC, 1, struct sdio_uif_cmd)</span>
00030 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_IOCWAITFORINT _IO(SDD_UIF_IOC_MAGIC,   2)</span>
00031 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_IOCTBUSWIDTH  _IO(SDD_UIF_IOC_MAGIC,   3)</span>
00032 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_IOCREINSERT   _IO(SDD_UIF_IOC_MAGIC,   4)</span>
00033 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_IOCTBUSFREQ   _IO(SDD_UIF_IOC_MAGIC,   5)</span>
00034 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_IOCQMANFID    _IO(SDD_UIF_IOC_MAGIC,   6)</span>
00035 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_IOCQCARDID    _IO(SDD_UIF_IOC_MAGIC,   7)</span>
00036 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_IOCQSTDIF     _IO(SDD_UIF_IOC_MAGIC,   8)</span>
00037 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_IOCQMAXBLKSZ  _IO(SDD_UIF_IOC_MAGIC,   9)</span>
00038 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_IOCQBLKSZ     _IO(SDD_UIF_IOC_MAGIC,  10)</span>
00039 <span class="preprocessor"></span><span class="preprocessor">#define SDD_UIF_IOCTBLKSZ     _IO(SDD_UIF_IOC_MAGIC,  11)</span>
00040 <span class="preprocessor"></span>
00041 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef LINUX_SDIOEMB_UIF_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
